Loading...
Searching...
No Matches
FITSFieldCopier.h File Reference
`#include <casacore/casa/aips.h>`
`#include <casacore/fits/FITS/hdu.h>`
`#include <casacore/casa/Containers/RecordField.h>`
`#include <casacore/casa/Arrays/Array.h>`
`#include <casacore/casa/BasicSL/String.h>`
`#include <casacore/fits/FITS/FITSKeywordUtil.h>`

Go to the source code of this file.

## Classes

class | casacore::FITSFieldCopier
| More...
class | casacore::ScalarFITSFieldCopier< recordType, fitsType >
| A FITSFieldCopier for copying scalar non-string RecordFields to FitsFields. More...
class | casacore::StringFITSFieldCopier
| A FITSFieldCopier for copying String RecordFields to FitsFields. More...
class | casacore::ArrayFITSFieldCopier< recordType, fitsType >
| A FITSFieldCopier for copying Array RecordFields to FitsFields. More...
class | casacore::VariableArrayFITSFieldCopier< recordType, fitsType >

## Namespaces

namespace | casacore
| this file contains all the compiler specific defines